﻿import flash.display.BitmapData;
class Ondulateur extends MovieClip {
	var mcl:MovieClipLoader;
	var image_mc:MovieClip;
	var t_width:Number;
	var t_height:Number;
	var myBitmapData:BitmapData;
	var line:MovieClip;
	var i:Number;
	var j:Number;
	var col:String;
	var colors:Array;
	function Ondulateur(theSource, theclip, theline, colors) {
		this.colors = colors;
		this.image_mc = theclip;
		this.mcl = new MovieClipLoader();
		this.mcl.addListener(this);
		this.mcl.loadClip(theSource, this.image_mc);
		this.line = theline;
		this.image_mc._alpha = 0;
	}
	function onLoadInit() {
		build();
	}
	function build() {
		this.line.clear();
		this.t_width = this.image_mc._width;
		this.t_height = this.image_mc._height;
		this.myBitmapData = new BitmapData(this.t_width, this.t_height);
		this.myBitmapData.draw(this.image_mc);
		this.j = 0;
		for (this.i=0; this.i<this.t_height; this.i += 6) {
			//this.line.lineStyle(1, 0xFFFFF, 0);
			//this.colors[0],0);
			this.line.beginFill(this.colors[1], 100);
			this.line.moveTo(this.j, this.i);
			
			for (this.j=0; this.j<t_width; this.j += 7) {
				
				this.col = this.myBitmapData.getPixel(this.j, this.i).toString(16);
				
				var coulr = Number("0x"+this.col.substr(0, 2));
				var coulg = Number("0x"+this.col.substr(2, 2));
				var coulb = Number("0x"+this.col.substr(4, 2));
				
				var moyRGB = ((coulr+coulg+coulb)/3)/5;
			
				if (isNaN(moyRGB)) moyRGB = 0; 
				
				var coulLine = "0x"+this.col;
				if (j == 0) coulLine = 0x000000;
				
				this.line.lineStyle(0, coulLine);
				
				this.line.curveTo(this.j, this.i, this.j+5, this.i-moyRGB);
				//this.line.lineStyle(0, this.colors[0]);
			}
		}
		this.line.endFill();
		this.myBitmapData.dispose();
	}
}
